package org.cs.mgr.user.ctl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.cs.core.ctl.BaseCtl;
import org.cs.util.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.cs.mgr.user.service.IMgmUserDeptService;
import org.cs.util.Pager;
import org.cs.mgr.user.model.MgmUserDept;
import org.cs.util.StringUtil;
import com.alibaba.fastjson.JSONObject;


/**
 * 
 * @ClassName: MgmUserDept 
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:28:57
 */
@Controller
@RequestMapping("/mgmUserDeptCtl")
public class MgmUserDeptCtl extends BaseCtl {

	private final Logger logger = LoggerFactory.getLogger(this.getClass());
	
	@Autowired
	private IMgmUserDeptService mgmUserDeptService;
	
	@RequestMapping("list")
	public String list(ModelMap mm, @RequestParam(required=false)String menuCode){
		mm.put(MENU_CODE, menuCode);
		this.set(MENU_CODE, menuCode);
		return "bis/mgmUserDept/list";	
	}
	
	@RequestMapping(value="list2", method = RequestMethod.GET, produces="application/json;charset=UTF-8")
	@ResponseBody
	public String list2(int page, int pageSize){
		Pager pager = this.mgmUserDeptService.getMgmUserDepts(new Pager(page, pageSize));
		JSONObject json = new JSONObject();
		json.put("rows", pager.getResults());
		json.put("total", pager.getTotal());
		return JSONObject.toJSONString(json, features);
	
	}
	
	@RequestMapping("transfer")
	public String transfer(Integer id, String action, ModelMap mm){
		MgmUserDept mgmUserDept = null;
		if(id != null){
			mgmUserDept = this.mgmUserDeptService.findById(id);
			mm.put("mgmUserDept", mgmUserDept);
		}
		return "bis/mgmUserDept/" + action;
	}
	
	@RequestMapping(value="add", method = RequestMethod.POST)
	@ResponseBody
	public String add(MgmUserDept mgmUserDept){
		if(mgmUserDept != null ){
			this.mgmUserDeptService.addMgmUserDept(mgmUserDept);
		}
		return AJAX_SUCCESS;
	}

    @RequestMapping(value="edit", method = RequestMethod.POST)
    @ResponseBody
    public String edit(MgmUserDept mgmUserDept){
        if(mgmUserDept != null ){
            this.mgmUserDeptService.updateMgmUserDept(mgmUserDept);
        }
        return AJAX_SUCCESS;
    }

	
	
	
	@RequestMapping("del")
	@ResponseBody
	public String del(Integer id){
		if(id != null){
			this.mgmUserDeptService.delMgmUserDept(id);
		}
		
		return AJAX_SUCCESS;
	}
	
	
	
		
}

